Skip to content

Update My Profile

PUT
/api/account/profile
curl --request PUT \
--url https://example.com/api/account/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "dateOfBirth": "2026-04-15", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example" }'

The customer updates their own identity (name, DOB, phone, address).

object
accountId
string format: uuid
firstName
required
string
>= 1 characters <= 100 characters
lastName
required
string
>= 1 characters <= 100 characters
dateOfBirth
string format: date
nullable
phone
string
nullable <= 30 characters
addressLine1
string
nullable <= 200 characters
addressLine2
string
nullable <= 200 characters
city
string
nullable <= 100 characters
state
string
nullable <= 100 characters
postCode
string
nullable <= 20 characters
country
string
nullable <= 100 characters
Example generated
{
"accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"firstName": "example",
"lastName": "example",
"dateOfBirth": "2026-04-15",
"phone": "example",
"addressLine1": "example",
"addressLine2": "example",
"city": "example",
"state": "example",
"postCode": "example",
"country": "example"
}

OK

Media type application/json
object
id
string format: uuid
email
string
nullable
firstName
string
nullable
lastName
string
nullable
fullName
string
nullable
dateOfBirth
string format: date
nullable
phone
string
nullable
addressLine1
string
nullable
addressLine2
string
nullable
city
string
nullable
state
string
nullable
postCode
string
nullable
country
string
nullable
emailVerified
boolean
createdAt
string format: date-time
Example generated
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"email": "example",
"firstName": "example",
"lastName": "example",
"fullName": "example",
"dateOfBirth": "2026-04-15",
"phone": "example",
"addressLine1": "example",
"addressLine2": "example",
"city": "example",
"state": "example",
"postCode": "example",
"country": "example",
"emailVerified": true,
"createdAt": "2026-04-15T12:00:00Z"
}